Bug 790682 - bind should be using portreserve
Summary: bind should be using portreserve
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: bind
Version: 6.2
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Adam Tkac
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 103401
TreeView+ depends on / blocked
 
Reported: 2012-02-15 07:47 UTC by Karel Srot
Modified: 2018-12-02 15:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 13:41:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0830 normal SHIPPED_LIVE bind bug fix and enhancement update 2012-06-19 20:49:20 UTC

Description Karel Srot 2012-02-15 07:47:48 UTC
should be using portreserve

To avoid port conflicts with services such as CUPS or IMAP 
bind should be using portreserve for reserving respective ports on RHEL6.


Typical changes required:

Given a SysV service package that uses a particular port, (say, krb5_prop/tcp -
754):

1) Create a file named after the service, for example 'krb5_prop', which
contains:

krb5_prop/tcp

2) In the spec, install this file in /etc/portreserve, i.e.,
/etc/portreserve/krb5_prop

3) In the spec, add 'Requires: portreserve' to the package that provides the
server.

4) In the init script, in the start() stanza, add:

    [ -x /sbin/portrelease ] && /sbin/portrelease krb5_prop &>/dev/null || :

before starting the daemon.


Some background can be found in bug 103401.

Comment 2 Karel Srot 2012-02-15 07:58:22 UTC
I forgot to mention that we are interested in ports withing the range 600 - 1023.

Comment 9 errata-xmlrpc 2012-06-20 13:41:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0830.html


Note You need to log in before you can comment on or make changes to this bug.